﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Microsoft.WindowsAzure.Storage.Table.DataServices;

namespace AzureSQLBackup
{
    [Serializable]
    class EventLog : TableServiceEntity
    {
        public EventLog()
        {
            PartitionKey = DateTime.Now.Year.ToString() + "_" + DateTime.Now.Day.ToString();
            RowKey = string.Format("{0:10}_{1}", DateTime.MaxValue.Ticks - DateTime.Now.Ticks, Guid.NewGuid());
        }

        public DateTime EventTime { get; set; }
        public string Description { get; set; }
        public string Remarks { get; set; }
    }
}
